Bug 1434675 - Review Request: f26-backgrounds - Fedora 26 default desktop background
Summary: Review Request: f26-backgrounds - Fedora 26 default desktop background
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1434977
TreeView+ depends on / blocked
 
Reported: 2017-03-22 05:59 UTC by Luya Tshimbalanga
Modified: 2017-03-24 21:53 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-24 21:53:35 UTC
Type: ---
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Luya Tshimbalanga 2017-03-22 05:59:22 UTC
Spec URL: https://luya.fedorapeople.org/packages/SPECS/f26-backgrounds.spec
SRPM URL: https://luya.fedorapeople.org/packages/SRPMS/f26-backgrounds-26.0.0-1.fc25.src.rpm
Description: This package contains desktop backgrounds for the Fedora 26 default theme.  Pulls in themes for GNOME, KDE, Mate and Xfce desktops.
Fedora Account System Username: luya

Comment 1 Luya Tshimbalanga 2017-03-22 06:10:14 UTC
Known issue is the  URL currently hosted on https://luya.fedorapeople.org/packages/SOURCES/f26-backgrounds-26.0.0.tar.xz as I don't know how to easily upload the tarball on https://pagure.io/design/releases.

Comment 2 Luya Tshimbalanga 2017-03-22 06:23:38 UTC
Added freeze exception because it is a critical package for the Alpha release.

Comment 3 Adam Williamson 2017-03-22 19:40:12 UTC
We need a blocker bug, in fact, but this isn't the right one, because just adding the package doesn't fix anything, other changes are also required.

This REALLY REALLY REALLY needs to be done earlier, guys. I complained about this last cycle, and so did sgallagh. It's just absurd. This is probably going to cause the Alpha to slip, unless we abandon the criterion or something.

Comment 4 Fedora Blocker Bugs Application 2017-03-22 19:40:21 UTC
Proposed as a Blocker for 26-alpha by Fedora user nb using the blocker tracking app because:

 2.4.9 Desktop background - The default desktop background must be different from that of the last two stable releases.

Comment 5 Adam Williamson 2017-03-22 19:44:43 UTC
Filed https://bugzilla.redhat.com/show_bug.cgi?id=1434977 as the blocker bug.

Comment 6 Nick Bebout 2017-03-22 20:28:42 UTC
I uploaded the source to https://releases.pagure.org/design/f26-backgrounds-26.0.0.tar.xz

Comment 7 Zbigniew Jędrzejewski-Szmek 2017-03-22 23:23:56 UTC
+ package name is OK
+ builds and install OK
+ the pictures look OK and are usable as a background (only tested gnome)
+ provides/requires look correct
+ license is specified OK (CC-BY-SA)

Package is APPROVED. Let's get the ball rolling ;)

Comment 8 Luya Tshimbalanga 2017-03-23 01:49:51 UTC
Thanks! I sent a request for new package

Comment 9 Gwyn Ciesla 2017-03-23 12:40:12 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/f26-backgrounds

Comment 10 Fedora Update System 2017-03-23 18:30:40 UTC
f26-backgrounds-26.0.0-1.fc26 desktop-backgrounds-26.0.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d96b1254cc

Comment 11 Fedora Update System 2017-03-24 14:52:35 UTC
desktop-backgrounds-26.0.0-1.fc26, f26-backgrounds-26.0.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d96b1254cc

Comment 12 Fedora Update System 2017-03-24 21:53:35 UTC
desktop-backgrounds-26.0.0-1.fc26, f26-backgrounds-26.0.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.